Skip to main content
POST
/
workspace
/
{workspace_id}
/
table
/
{table_id}
/
index
/
btree
Create a btree index on table columns
curl --request POST \
  --url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/index/btree \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fields": [
    {
      "name": "name",
      "op": "desc"
    }
  ]
}
'
import requests

url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/index/btree"

payload = { "fields": [
        {
            "name": "name",
            "op": "desc"
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({fields: [{name: 'name', op: 'desc'}]})
};

fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/table/{table_id}/index/btree', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
integer<int64>
required
table_id
integer<int64>
required

Body

fields
object[]
required

Response

Success!

id
string